Get folder by ID
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/folders/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/folders/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": {},
"name": "<string>",
"organizationId": "<string>",
"status": "active",
"subfolders": [
{}
],
"materialCount": 123,
"parentFolderId": "<string>",
"description": "<string>",
"metadata": {
"color": "<string>",
"icon": "<string>",
"materialCount": 123,
"totalSize": 123,
"lastActivity": "2023-11-07T05:31:56Z"
},
"createdAt": {},
"updatedAt": {}
}Folders
Get folder by ID
GET
/
api
/
v1
/
folders
/
{id}
Get folder by ID
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/folders/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/folders/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": {},
"name": "<string>",
"organizationId": "<string>",
"status": "active",
"subfolders": [
{}
],
"materialCount": 123,
"parentFolderId": "<string>",
"description": "<string>",
"metadata": {
"color": "<string>",
"icon": "<string>",
"materialCount": 123,
"totalSize": 123,
"lastActivity": "2023-11-07T05:31:56Z"
},
"createdAt": {},
"updatedAt": {}
}Authorizations
API Key for server-to-server authentication. Resolves to the owning organization.
Path Parameters
Folder ID
Response
200 - application/json
Folder retrieved successfully
Folder ID
Folder name
Organization ID
Folder status
Available options:
active, deleted Subfolders
Total number of materials
Parent folder ID
Folder description
Folder metadata
Show child attributes
Show child attributes
Creation date
Last update date
Was this page helpful?